<?php
/**
 * Front Page.
 *
 * @package Magzimum
 *
 */

get_header(); ?>

  <div id="primary" <?php magzimum_content_class( 'content-area' ); ?> >
    <main id="main" class="site-main" role="main">

      <?php
      /**
       * magzimum_action_front_page hook
       */
      do_action( 'magzimum_action_front_page' );
      ?>
      <?php if ( have_posts() ) : ?>

      <?php /* Start the Loop */ ?>
      <?php while ( have_posts() ) : the_post(); ?>

        <?php
          /* Include the Post-Format-specific template for the content.
           * If you want to override this in a child theme, then include a file
           * called content-___.php (where ___ is the Post Format name) and that will be used instead.
           */
          get_template_part( 'template-parts/content', get_post_format() );
        ?>

      <?php endwhile; ?>

      <?php
      /**
       * magzimum_action_posts_navigation hook
       *
       * @hooked: magzimum_custom_posts_navigation - 10
       *
       */
      do_action( 'magzimum_action_posts_navigation' );?>


    <?php else : ?>

      <?php get_template_part( 'template-parts/content', 'none' ); ?>

    <?php endif; ?>

      <?php
      $featured_content_details = array();
      $featured_content_details = apply_filters( 'magzimum_filter_featured_content_details', $featured_content_details );
      $show_blog_listing_in_front = magzimum_get_option( 'show_blog_listing_in_front' );
      $show_featured_on_blog = magzimum_get_option( 'featured_content_show_blog' );
       ?>
      <?php if ( true == $show_blog_listing_in_front ): ?>
          <?php
            if(true == $show_featured_on_blog){
            foreach ($featured_content_details as $feat) {
            $id[] = $feat['id'];
            }
              $args=array(
                'post__not_in'=> $id,
                
              );
              $magzimum_query = null;
              $magzimum_query = new WP_Query($args);
          ?>
          <?php if ( $magzimum_query->have_posts() ) : ?>

           <?php /* Start the Loop */ ?>
           <?php while ( $magzimum_query->have_posts() ) : $magzimum_query->the_post(); ?>

             <?php
               /* Include the Post-Format-specific template for the content.
                * If you want to override this in a child theme, then include a file
                * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                */
               get_template_part( 'template-parts/content', get_post_format() );
             ?>

           <?php endwhile; ?>
             <?php
           /**
            * magzimum_action_posts_navigation hook
            *
            * @hooked: magzimum_custom_posts_navigation - 10
            *
            */
           do_action( 'magzimum_action_posts_navigation' );?>


         <?php else : ?>

           <?php get_template_part( 'template-parts/content', 'none' ); ?>

         <?php endif; ?>
        <?php 
            wp_reset_postdata();
            wp_reset_query();

            }else{
              $query = array('post_type' => 'post');
              $magzimum_query = new Wp_query($query);?>
              <?php if ( $magzimum_query->have_posts() ) : ?>

              <?php /* Start the Loop */ ?>
              <?php while ( $magzimum_query->have_posts() ) : $magzimum_query->the_post(); ?>

             <?php
               /* Include the Post-Format-specific template for the content.
                * If you want to override this in a child theme, then include a file
                * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                */
               get_template_part( 'template-parts/content', get_post_format() );
             ?>

           <?php endwhile; ?>

           <?php
           /**
            * magzimum_action_posts_navigation hook
            *
            * @hooked: magzimum_custom_posts_navigation - 10
            *
            */
           do_action( 'magzimum_action_posts_navigation' );?>


         <?php else : ?>

           <?php get_template_part( 'template-parts/content', 'none' ); ?>

         <?php endif; ?>

        <?php  
            wp_reset_postdata();
            wp_reset_query();
            }
        ?>
         

         

       <?php endif // end if true ?>




    </main><!-- #main -->
  </div><!-- #primary -->

<?php
/**
 * magzimum_action_sidebar hook
 *
 * @hooked: magzimum_add_sidebar - 10
 *
 */
do_action( 'magzimum_action_sidebar' );?>

<?php get_footer(); ?>
