<?php
/**
 * Instagram section
 *
 * This is the template for the content of instagram section
 *
 * @package Theme Palace
 * @subpackage Magzimum pro
 * @since Magzimum Pro 1.5
*/

if ( ! function_exists( 'magzimum_add_instagram_section' ) ) :
    /**
     * Add instagram section
     *
     * @since Magzimum Pro 1.5
     */
    function magzimum_add_instagram_section() { ?>
    <div class="clear"></div>

    <?php if( is_active_sidebar( 'instagram-widget' ) ) { ?>
            <section id="instagram">
                <div class="container">
                    <?php dynamic_sidebar( 'instagram-widget' );  ?>
                    <div class="clear"></div>
                </div><!-- end .container -->
            </section><!-- end #instagram -->
    <?php        
        }
    } 
endif;
add_action( 'magzimum_action_after_content', 'magzimum_add_instagram_section', 20 );
